<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/colorWhite">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recycler_view_option"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:nestedScrollingEnabled="false"
            android:layoutAnimation="@anim/layout_animation_from_bottom"/>

        <androidx.cardview.widget.CardView
            android:id="@+id/approve_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="8dp"
            app:cardBackgroundColor="@color/colorBackground"
            app:cardCornerRadius="8dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="8dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <View
                        android:layout_width="3dp"
                        android:layout_height="16dp"
                        android:layout_gravity="center"
                        android:layout_marginRight="4dp"
                        android:background="@color/colorTheme" />

                    <TextView
                        android:id="@+id/tv_approve_name"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="流程"
                        android:textColor="@color/colorTheme"
                        android:textSize="?attr/textSizeXXX"
                        android:textStyle="bold" />
                </LinearLayout>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recycler_view_approve"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:nestedScrollingEnabled="false"
                    android:layoutAnimation="@anim/layout_animation_from_bottom"/>

            </LinearLayout>

        </androidx.cardview.widget.CardView>

        <LinearLayout
            android:id="@+id/layout_bottom"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <Button
                android:id="@+id/btn_back"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="24dp"
                android:layout_marginTop="24dp"
                android:layout_marginRight="8dp"
                android:layout_marginBottom="24dp"
                android:layout_weight="1"
                android:background="@drawable/accent_circle_stroke_bg"
                android:text="返回"
                android:textColor="@color/colorTheme"
                android:textSize="?attr/textSizeXXX" />

            <Button
                android:id="@+id/btn_save"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="8dp"
                android:layout_marginTop="24dp"
                android:layout_marginRight="24dp"
                android:layout_marginBottom="24dp"
                android:layout_weight="1"
                android:background="@drawable/accent_circle_bg"
                android:text="提交"
                android:textColor="@color/colorWhite"
                android:textSize="?attr/textSizeXXX" />

        </LinearLayout>
    </LinearLayout>
</androidx.core.widget.NestedScrollView>